/*
 * plx9030.h
 *
 * Specific definitions and functions for the PCI9030 used by plxpci
 * Written by: niko.neufeld@cern.ch CERN/LHCb 2002
 */

/* $Id: plx9030.h,v 1.1 2002/10/01 12:22:35 nikolaus Exp $ */

#ifndef __PLX9083_H_
#define __PLX9083_H_

#include "plxpci.h"
#include "plx9030reg.h"
#define PCI_DEVICE_ID_ALTERA_ZBIG 0x0001
#define PCI_VENDOR_ID_ALTERA      0x1172
 
int plx9030_init(struct plx_dev *);
int plx9030_init_local_bus(struct plx_dev *, plx_loc_mem_t *);
void plx9030_cleanup(struct plx_dev *);
extern struct plx_ops plx9030_ops __attribute__((unused));
#endif








