/*
 * plxioctl.h
 *
 * ioctls for plxpci driver
 * Written by: niko.neufeld@cern.ch CERN/LHCb 2002
 */

/* $Id: plxioctl.h,v 1.1 2002/10/01 12:22:35 nikolaus Exp $ */

#ifndef _PLXIOCTL_H_
#define _PLXIOCTL_H_
#include "plxtypes.h"

#ifndef PLX_IOC_MAGIC
#define PLX_IOC_MAGIC ('b' | 'p' | 'l' | 'x')
#endif
#define PLX_IOC_MAXNR 5

#define PLX_INIT_LOC_BUS    _IOWR(PLX_IOC_MAGIC,  1, struct plx_loc_mem)
#define PLX_READ_LOC_BUS    _IOWR(PLX_IOC_MAGIC,  2, struct plx_loc_data)
#define PLX_WRITE_LOC_BUS   _IOWR(PLX_IOC_MAGIC,  3, struct plx_loc_data)
#define PLX_READ_REG        _IOWR(PLX_IOC_MAGIC,  4, struct plx_reg)
#define PLX_WRITE_REG       _IOWR(PLX_IOC_MAGIC,  5, struct plx_reg)

#endif  /* _PLXIOCTL_H_ */




















