/*
 * plx_write_reg.c 
 *
 * write register directly in plx
 * 
 * author: niko.neufeld@cern.ch CERN/LHCb 2002
 *
 */

/*
 * $Id: plx_write_reg.c,v 1.1 2002/07/30 19:48:00 nikolaus Exp $
 */
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <errno.h>
#include "plxioctl.h"
#include "plxtypes.h"
#include "lblib.h"

int plx_write_reg(u_int8_t off, u_int32_t val)
{
    struct plx_reg reg;
    
    reg.offset = off;
    reg.value = val;
    if (ioctl(_lb_fd[0], PLX_WRITE_REG, &reg)) {
	perror("ioctl plx_write_reg");
	return -1;
    }
    return 0;
}
