/*
 * plx9080.h
 *
 * Specific definitions and functions for the PCI9080 used by plxpci
 * Written by: niko.neufeld@cern.ch CERN/LHCb 2002
 */

/* $Id: plx9080.h,v 1.1 2002/10/01 12:22:35 nikolaus Exp $ */

#ifndef __PLX9080_H_
#define __PLX9080_H_

#include "plxpci.h"
#include "plx9080reg.h"

int plx9080_init(struct plx_dev *);
int plx9080_init_local_bus(struct plx_dev *, plx_loc_mem_t *);
void plx9080_cleanup(struct plx_dev *);
extern struct plx_ops plx9080_ops __attribute__((unused));
#endif








